Class Fox::FXFileItem

In: | FXFileList.rb
Parent: | FXIconItem

File item

Methods

blockdev? chardev? directory? executable? fifo? file? new socket? symlink?

Attributes

assoc | [R] | The file association object for this item [FXFileAssoc]
date | [R] | Date for this item [Time]
size | [R] | The file size for this item [Integer]

Public Class methods

new(text, bi=nil, mi=nil, ptr=nil) {|theFileItem| ...}

Returns an initialized FXFileItem instance

Public Instance methods

file?()

Return `true` if this is a file item

directory?()

Return `true` if this is a directory item

executable?()

Return `true` if this is an executable item

symlink?()

Return `true` if this is a symbolic link item

chardev?()

Return `true` if this is a character device item

blockdev?()

Return `true` if this is a block device item

fifo?()

Return `true` if this is an FIFO item

socket?()

Return `true` if this is a socket